Форум программистов, компьютерный форум, киберфорум
Наши страницы
Программирование Android
Войти
Регистрация
Восстановить пароль
 
VERSYETI
0 / 0 / 1
Регистрация: 22.07.2015
Сообщений: 35
#1

Импорт и настройка исходников Telegram в Android Studio - Программирование Android

05.03.2016, 10:43. Просмотров 1144. Ответов 5
Метки нет (Все метки)

Всем привет. Наткнулся на github исходники Telegramm Исходник.
Импортировал в Android Studio последней версии и столкнулся вот с такой проблемой. Выходит сообщение
Error:A problem occurred configuring project ':TMessagesProj'.
> Unable to find optional library: org.apache.http.legacy

Как убрать ошибку этой библиотеки? Данная библиотека устарела, но я думаю есть способы запустить приложение на эмуляторе?

Добавлено через 17 часов 25 минут
Я так понимаю, что и здесь тоже никто не знает ответа))
0
Надоела реклама? Зарегистрируйтесь и она исчезнет полностью.
Similar
Эксперт
41792 / 34177 / 6122
Регистрация: 12.04.2006
Сообщений: 57,940
05.03.2016, 10:43
Я подобрал для вас темы с готовыми решениями и ответами на вопрос Импорт и настройка исходников Telegram в Android Studio (Программирование Android):

Импорт из Eclipse в Android Studio
Добрый день, дали проект, который был сделан в Эклипс, пытаюсь импортировать в...

Импорт из Eclipse в Android Studio: ошибка
при импорте из Eclipse в AS, выскакивает ошибка, как лечить кто знает ?

Импорт проекта в Android Studio из Github
Работа с Github для меня впервые. Много погуглил по поводу того, как...

Android Studio, импорт не видит в проекте один из классов?
Скачал библиотеку в виде сорскода, подключил к проекту все хорошо импортнулось,...

Android studio настройка
Поставил себе android studio Мне кажется студия неправильно проект генерит, ну...

Настройка эмулятора в Android Studio
Здравствуйте, скажите как настроить эмулятор в андройд студии что бы отображал...

5
Mikalai
262 / 238 / 95
Регистрация: 11.01.2015
Сообщений: 666
06.03.2016, 01:06 #2
А что мешает попробовать подгрузить библиотеку и добавить в проект?
0
VERSYETI
0 / 0 / 1
Регистрация: 22.07.2015
Сообщений: 35
06.03.2016, 08:46  [ТС] #3
эта библиотека устарела и не работает в новых версиях ANDROID STUDIO. Вот это и мешает.
0
CoolMind
421 / 404 / 65
Регистрация: 06.10.2012
Сообщений: 1,732
06.03.2016, 13:14 #4
VERSYETI, блин, эта org.apache.http.legacy уже оскомину набила. Попробуйте для начала понизить в build.gradle targetSDK до 22, а может быть, и другие упоминания 23 версии SDK. Вроде, много таких вопросов на stackoverflow. Также там ещё и саму библиотеку http надо брать не последней версии, по-моему.
0
VERSYETI
0 / 0 / 1
Регистрация: 22.07.2015
Сообщений: 35
06.03.2016, 19:31  [ТС] #5
Градл до какой версии понизить? Просто уже перечитал все что нашел на англо-форумах и ничего толкового не нашел. Только из за этого не могу начать пользоваться API

Добавлено через 50 секунд
на stackoverflow многое перечитал))
0
Sargis_MSU
0 / 0 / 0
Регистрация: 13.11.2017
Сообщений: 1
13.11.2017, 17:18 #6
У меня тоже проблема с Telegram API, у вас получилось пользоваться этим API?
0
13.11.2017, 17:18
MoreAnswers
Эксперт
37091 / 29110 / 5898
Регистрация: 17.06.2006
Сообщений: 43,301
13.11.2017, 17:18
Привет! Вот еще темы с решениями:

Настройка импорта класса в Android Studio
После сегодняшнего обновления студии на версию 3.1.1 столкнулся с неприятной...

Настройка Android Studio для работы со Scala
В общем глючность студии меня опять поражает. Как заставить ее работать со...

(Android studio, java) Ошибка при импорте библиотеки cannot resolve symbol android studio
Вот библиотека https://github.com/mik3y/usb-serial-for-android. Устанавливал...

Как собрать android приложение из исходников?
Здравствуйте. Скачал исходный код приложения на просторах гитхаба....


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
6
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2018, vBulletin Solutions, Inc.
Рейтинг@Mail.ru